function stsd = MDOGS(image1, image2)

x = 7;
k1 = fspecial('gaussian', [x x], 0.7);
k2 = fspecial('gaussian', [x x], 0.8);
DA1 = imfilter(image1, k1,'same');
DB1 = imfilter(image1, k2,'same');
C1 = abs(DA1-DB1);
DA2 = imfilter(image2, k1,'same');
DB2 = imfilter(image2, k2,'same');
C2 = abs(DA2-DB2);

T1 = 0.04;
DOG_map = (2.*C1.*C2+T1)./(C1.^2+C2.^2+T1);

I1 = image1;
I2 = image2;
ksig1 = fspecial('gaussian', [x x], 2.0);
ksig2 = fspecial('gaussian', [x x], 2.1);
A1 = imfilter(I1, ksig1,'same');
B1 = imfilter(I1, ksig2,'same');
map1 = abs(A1-B1);
A2 = imfilter(I2, ksig1,'same');
B2 = imfilter(I2, ksig2,'same');
map2 = abs(A2-B2);
map = max(map1, map2);

stsd = sum(sum(DOG_map .* map))./sum(sum(map));
end