%% Demo
%----------------------------------------------------------------------
%
% This is an implementation of the algorithm for calculating the
% Multi-scale difference of Gaussian score (MDOGS) between two images.
%
% Please refer to the following paper
%
% Y. Fu, H. Zeng, L. Ma, Z. Ni, J. Zhu, and K.-K. Ma, Screen Content 
% Image Quality Assessment Using Multi-Scale Difference of Gaussian, 
% IEEE Transactions on Circuits and Systems for Video Technology, vol.28, 
% no. 9, pp. 2428-2432, September 2018.
%----------------------------------------------------------------------

clc
clear
close

origImg = imread('.\SCI07.bmp');     
distImg = imread('.\SCI07_2_4.bmp'); 
fprintf('Image load finished. \n')

if size(size(origImg)) == [1 3] % color image
    Img1 = rgb2gray(origImg);
    Img2 = rgb2gray(distImg);
else %gray image
    Img1 = origImg;
    Img2 = distImg;
end

mdogs = MDOGS(Img1, Img2);
fprintf('The score of the distorted image is %.4f \n', mdogs)

